Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
New Developer
pushpendrak
Posts: 38
Registered: ‎05-07-2012
My Device: Playbook OS2, Dev Alpha C
My Carrier: Tata docomo

Qt Libs are required to include with app or Not for BB10?

I built app (Q File Explorer) for BB10 as well Playbook using Qt, which i compiled using Native SDK 2.1. I used Qt creator IDE for building and testing as i was finding difficulty. But by this method i have to add 3-4 libs with my app and the size increased so much.

But in BB10 SDK have compiled Qt libs in it, can i use those libs to build my app, as it doesn't contain any libblackberry.so, which is required.

any suggestion

My page on: App World
Check out my Apps 1). QFileExplorer 2). My ABCD
System Explorer APPID: 35601892
Please use plain text.
Developer
BGmot
Posts: 1,068
Registered: ‎11-24-2011
My Device: PlayBook
My Carrier: x

Re: Qt Libs are required to include with app or Not for BB10?

BB10 alpha device and NDK contain all libraries needed to release Qt app without the need to bundle any Qt library with your app.

Please use plain text.
New Developer
pushpendrak
Posts: 38
Registered: ‎05-07-2012
My Device: Playbook OS2, Dev Alpha C
My Carrier: Tata docomo

Re: Qt Libs are required to include with app or Not for BB10?

when i query Qmake supplied with NDK, results are

 

QT_INSTALL_PREFIX:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto
QT_INSTALL_DATA:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto
QT_INSTALL_DOCS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\doc
QT_INSTALL_HEADERS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\include
QT_INSTALL_LIBS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\lib
QT_INSTALL_BINS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\bin
QT_INSTALL_PLUGINS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\plugins
QT_INSTALL_IMPORTS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\imports
QT_INSTALL_TRANSLATIONS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\translations
QT_INSTALL_CONFIGURATION:c:/jenkins/workspace/qt-win32_BB10_0_09_Main/qt/stage/nto
QT_INSTALL_EXAMPLES:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\examples
QT_INSTALL_DEMOS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\demos
QMAKE_MKSPECS:c:\jenkins\workspace\qt-win32_BB10_0_09_Main\qt\stage\nto\mkspecs
QMAKE_VERSION:2.01a
QT_VERSION:4.8.4

 


then how you can compile Qt app in Qt Creator, and i tried with those libs but no success

My page on: App World
Check out my Apps 1). QFileExplorer 2). My ABCD
System Explorer APPID: 35601892
Please use plain text.
Contributor
achipa
Posts: 19
Registered: ‎02-12-2012
My Device: N/A
My Carrier: N/A

Re: Qt Libs are required to include with app or Not for BB10?

"All" is actually just a subset, what you have is:

 

libQtCore.so -> libQtCore.so.4.8.4
libQtDeclarative.so.4.8.4
libQtGui.so.4.8.4
libQtMultimedia.so.4.8.4
libQtNetwork.so.4.8.4
libQtOpenGL.so.4.8.4
libQtScript.so.4.8.4
libQtScriptTools.so.4.8.4

libQtSql.so.4.8.4

libQtSvg.so.4.8.4
libQtTest.so.4.8.4
libQtXmlPatterns.so.4.8.4
libQtXml.so.4.8.4

 

libQtMultimediaKit.so.1.2.2

libQtSensors.so.1.2.2

 

but there is also a ton of those missing:

 

libQtWebkit

libQtOpenVg

libQtUiTools

libqQtServiceFramework
libQtContacts
libQtMessaging
libQtSystemInfo
libQtPublishSubscribe

libQtOrganizer
libQtFeedback
libQtGallery
libQtVersit
libQtConnectivity

 

plus any of the plugins/imports (like particles)

 

-----
Author of QtInfo, the universal Qt info-tool for everything Qt
Please use plain text.